:root {
    --radius: 3px;
    --darkgrey: #333;
    --orangebg: #E57407;
}

div, main, aside, section, footer, header {
    box-sizing: border-box;
}

a {
    text-decoration: none;
}

a:hover {
    cursor: pointer;
}

body {
    padding: 0;
    margin: 0;
    background-color: #fafafa;
    font: 16px/1.68em Verdana, sans-serif;
    color: var(--darkgrey);
}

#content {
    padding-top: 60px;
}

p {
    max-width: 620px;
}

.flex {
    display: flex;
}

.flex-50 {
    flex-basis: 50%;
}

.flex-33 {
    flex-basis: 33%;
}

h1, h2, h3, h4 {
    line-height: 1.16em;
}

h1 {
    font-size: 45px;
}

h2 {
    font-size: 30px;
}

h3 {
    font-size: 20px;
}

/*modal*/

.overlay {
    background: rgba(0,0,0,0.5);
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 990;
    position: fixed;
    display: none;
    text-align: right;
    padding: 30px;
}

.modal {
    text-align: left;
    position: fixed;
    width: 360px;
    height: 480px;
    top: calc(50% - 240px);
    left: calc(50% - 180px);
    background: #fafafa;
    z-index: 991;
    border-radius: var(--radius);
    box-shadow: 0 0 100px rgba(0,0,0,0.25);
    padding: 30px;
    font-size: 14px;
    line-height: 23px;
}

.modal input {
    display: block;
    width: 100%;
    padding: 5px;
    margin-bottom: 15px;
}

.modal label {
    font-weight: bold;
}

.modal .loader {
    width: 50px;
    height: 50px;
    position: relative;
    left: -15px;
    top: 10px;
    display: none;
}

.modal .loader img {
    width: 100%;
    transform: rotate(90deg);
}

.modal .message {
    display: none;
    padding-top: 20px;
    color: red;
}

#modal-close {
    font-weight: bold;
    font-size: 24pt;
    color: #ddd;
    padding: 30px;
    text-align: right;
    cursor: pointer;
    display: inline-block;
    background: rgba(255,255,255,0.15);
    border-radius: var(--radius);

}

#modal-close:hover {
    background: rgba(255,255,255,0.25);
    color: #eee;
}

/*Header*/

#site-header {
    height: 60px;
    width: 100%;
    background-color: #fafafa;
    box-shadow: 2px 2px 8px rgba(0,0,0,0.15);
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    padding: 0 30px;
    z-index: 99;
}

#logo {

    height: 40px;
}

#logo-pic {
    height: 40px;

}

#site-menu a {
    color: var(--darkgrey);
    font-size: 14px;
}

#site-menu a:hover {
    text-decoration: underline;
}

#site-menu li {
    display: inline;
    margin-left: 10px;
    list-style-type: none;
}

.reg {
    background-color: orange;
    color: white;
    font-weight: bold;
    display: inline-block;
    padding: 5px 15px;
    border-radius: var(--radius);
}

.reg a {
    color: white!important;
}

.reg a:hover {
    text-decoration: none!important;
    color: #fafafa!important;
}

.reg:active {
    transform: scale(0.95);
}

.site-menu-icon {
    display: none;
}

/*Box*/

.site-outer-box {
    width: 100%;
}

.site-inner-box {
    width: 100%;
    padding: 100px 150px;
}

.bg-orange {
    background-color: var(--orangebg);
    color: #fafafa;
}

.bg-grey {
    background-color: #eee;
}

/*buttons*/

.button {
    border-radius: var(--radius);
    padding: 7px 15px;
    margin-right: 5px;
    margin-top: 45px;
    display: inline-block;
    background-color: gainsboro;
    color: var(--darkgrey);
}

.button:hover, .reg:hover {
    background-color: tomato;
    color: #fafafa;
    box-shadow: 1px 1px 2px firebrick;
}

.button:active {
    transform: scale(0.95);
}

.caller {
    background-color: brown;
    color: #fafafa;
}

/*grid - 3x2 */

.grid-box {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, 1fr);
    gap: 30px;
}

.grid-item {
    padding: 15px 30px;
    border-radius: var(--radius);
    border: 1px solid #ddd;
    position: relative;
}
.grid-item h3 {
    color: var(--orangebg);
}

.grid-item:before {
    content: "";
    background-color: var(--orangebg);
    width: 30px;
    height: 30px;
    display: inline-block;
    position: absolute;
    top: -15px;
    left: -15px;
    border-radius: var(--radius);
}


/*hero*/

#section-hero {
    background: url('img/fox-rev.png') no-repeat right center;
    background-color: var(--orangebg);
}


#logos-carousel {
    display: flex;
    justify-content: space-between;
    padding: 60px 0;
}

/*footer*/

footer {
    min-height: 150px;
    text-align: center;
}

footer p {
    margin: 15px auto;
}

#copyright {
    text-align: center;
}











@media screen and (max-width: 1279px) {

    .site-menu-icon {
        display: inline;
    }

    .site-menu-link {
        display: none;
    }

    .reg, .reg:hover {
        background-color: transparent;
        box-shadow: none;
    }

    .site-inner-box {
        padding: 60px 30px;
    }

    .button {
        display: block;
        text-align: center;
        margin-top: 15px;
    }

    .buttons {
        margin-top: 60px;
    }

    .flex {
        flex-direction: column;
    }

    .grid-box {
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(3, 1fr);
    }

    footer {
        text-align: center;
    }

    footer p {
        max-width: unset;
    }
}


@media screen and (max-width: 1279px) {
    .grid-box {
        grid-template-columns: repeat(1, 1fr);
        grid-template-rows: repeat(6, 1fr);
    }

    p {
        max-width: unset;
    }

    .modal {
        width: calc(100% - 60px);
        left: 30px;
    }
}